Page MenuHomePhabricator

Remove internal handling of 'raw' module
Closed, ResolvedPublic

Description

Creating this task as reminder for the follow-up note @Catrope left at https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/445462/12/resources/Resources.php.

Once T192623 is completed, we can go through and remove the then-obsolete handling everywhere for "raw" modules. Doing so will make the code easier to understand and reason about by removing these hacky special cases from various code paths.

Related Objects

Event Timeline

Krinkle created this task.Aug 8 2018, 3:00 AM
Restricted Application added a project: Performance-Team. · View Herald TranscriptAug 8 2018, 3:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Krinkle changed the task status from Open to Stalled.Aug 8 2018, 3:01 AM
Krinkle triaged this task as Low priority.
Krinkle moved this task from Inbox to Backlog on the MediaWiki-ResourceLoader board.
Krinkle changed the task status from Stalled to Open.Aug 12 2018, 12:41 PM

Change 516830 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] resourceloader: Use explicit class check instead of isRaw() for startup module

https://gerrit.wikimedia.org/r/516830

Krinkle claimed this task.Jun 13 2019, 6:58 PM

Change 516831 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] [WIP] resourceloader: Remove support for "raw" modules

https://gerrit.wikimedia.org/r/516831

Change 516835 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] OutputPage: Remove use of 'raw' module for html5shiv

https://gerrit.wikimedia.org/r/516835

Change 516830 abandoned by Krinkle:
resourceloader: Remove isRaw() support in startup module

Reason:
Squashed into https://gerrit.wikimedia.org/r/516831

https://gerrit.wikimedia.org/r/516830

Change 516835 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Migrate use of 'raw' modules to 'raw' requests

https://gerrit.wikimedia.org/r/516835

Change 516831 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Remove support for raw modules

https://gerrit.wikimedia.org/r/516831

Krinkle closed this task as Resolved.Jul 2 2019, 7:35 PM
Krinkle removed a project: Patch-For-Review.

Change 520783 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] OutputPage: Load html5shiv without indirection of load.php

https://gerrit.wikimedia.org/r/520783

Change 520783 merged by jenkins-bot:
[mediawiki/core@master] OutputPage: Load html5shiv without indirection of load.php

https://gerrit.wikimedia.org/r/520783